Bug 242355 - evolution-2.11.2 does not run
evolution-2.11.2 does not run
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
powerpc Linux
low Severity high
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-03 12:20 EDT by Joseph Sacco
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: evolution-2.11.3-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-07 22:58:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Sacco 2007-06-03 12:20:29 EDT
evo-2.11.2 is broken. When started from a clean user account without any
previous evo installation, the setup process dies after clicking the "OK" button
on the "this is an unstable release" dialog.

-Joseph
===========================================
Distribution: Fedora release 7.89 (Rawhide)
Gnome Release: 2.19.2 2007-05-19 (Red Hat, Inc)
BugBuddy Version: 2.18.0

System: Linux 2.6.21-1.3199.fc8smp #1 SMP Fri Jun 1 20:10:54 EDT 2007 ppc
X Vendor: The X.Org Foundation
X Vendor Release: 10300000
Selinux: Permissive
Accessibility: Disabled
GTK+ Theme: Clearlooks
Icon Theme: Fedora

Memory status: size: 84275200 vsize: 84275200 resident: 34979840 share: 30515200
rss: 34979840 rss_rlim: 4294967295
CPU usage: start_time: 1180887517 rtime: 145 utime: 109 stime: 36 cutime:0
cstime: 0 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/evolution'

[?1034h(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 811135328 (LWP 4918)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0x00610298 in __waitpid_nocancel () from /lib/libpthread.so.0
#0  0x00610298 in __waitpid_nocancel () from /lib/libpthread.so.0
#1  0x007f0f7c in ?? () from /usr/lib/libgnomeui-2.so.0
#2  0x10018374 in ?? ()
#3  <signal handler called>
#4  0x0f326cf4 in strlen () from /lib/libc.so.6
#5  0x0f2ef9d4 in vfprintf@@GLIBC_2.4 () from /lib/libc.so.6
#6  0x0f3a6a08 in __printf_chk@@GLIBC_2.4 () from /lib/libc.so.6
#7  0x0d5e4fac in mail_session_add_junk_plugin ()
   from /usr/lib/evolution/2.12/components/libevolution-mail.so
#8  0x0d5bcffc in ?? () from /usr/lib/evolution/2.12/components/libevolution-mail.so
#9  0x0fd28774 in e_plugin_hook_register_type () from
/usr/lib/evolution/2.12/libeutil.so.0
#10 0x0d5d20cc in ?? () from /usr/lib/evolution/2.12/components/libevolution-mail.so
#11 0x0f4ed4cc in bonobo_activation_activate_shlib_server ()
   from /usr/lib/libbonobo-activation.so.4
#12 0x0f4edeb4 in ?? () from /usr/lib/libbonobo-activation.so.4
#13 0x0f4ee76c in bonobo_activation_activate () from
/usr/lib/libbonobo-activation.so.4
#14 0x0f4ee9c8 in bonobo_activation_activate_from_id () from
/usr/lib/libbonobo-activation.so.4
#15 0x1000a438 in ?? ()
#16 0x1000ab1c in e_component_registry_peek_list ()
#17 0x1000e6fc in e_shell_construct ()
#18 0x1000e854 in e_shell_new ()
#19 0x10018668 in ?? ()
#20 0x10018e7c in main ()

Thread 1 (Thread 811135328 (LWP 4918)):
#0  0x00610298 in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#1  0x007f0f7c in ?? () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#2  0x10018374 in ?? ()
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x0f326cf4 in strlen () from /lib/libc.so.6
No symbol table info available.
#5  0x0f2ef9d4 in vfprintf@@GLIBC_2.4 () from /lib/libc.so.6
No symbol table info available.
#6  0x0f3a6a08 in __printf_chk@@GLIBC_2.4 () from /lib/libc.so.6
No symbol table info available.
#7  0x0d5e4fac in mail_session_add_junk_plugin ()
   from /usr/lib/evolution/2.12/components/libevolution-mail.so
No symbol table info available.
#8  0x0d5bcffc in ?? () from /usr/lib/evolution/2.12/components/libevolution-mail.so
No symbol table info available.
#9  0x0fd28774 in e_plugin_hook_register_type () from
/usr/lib/evolution/2.12/libeutil.so.0
No symbol table info available.
#10 0x0d5d20cc in ?? () from /usr/lib/evolution/2.12/components/libevolution-mail.so
No symbol table info available.
#11 0x0f4ed4cc in bonobo_activation_activate_shlib_server ()
   from /usr/lib/libbonobo-activation.so.4
No symbol table info available.
#12 0x0f4edeb4 in ?? () from /usr/lib/libbonobo-activation.so.4
No symbol table info available.
#13 0x0f4ee76c in bonobo_activation_activate () from
/usr/lib/libbonobo-activation.so.4
No symbol table info available.
#14 0x0f4ee9c8 in bonobo_activation_activate_from_id () from
/usr/lib/libbonobo-activation.so.4
No symbol table info available.
#15 0x1000a438 in ?? ()
No symbol table info available.
#16 0x1000ab1c in e_component_registry_peek_list ()
No symbol table info available.
#17 0x1000e6fc in e_shell_construct ()
No symbol table info available.
#18 0x1000e854 in e_shell_new ()
No symbol table info available.
#19 0x10018668 in ?? ()
No symbol table info available.
#20 0x10018e7c in main ()
No symbol table info available.
#0  0x00610298 in __waitpid_nocancel () from /lib/libpthread.so.0
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y;
input not from terminal]
Comment 1 Matthew Barnes 2007-06-03 19:42:00 EDT
Thanks for reporting this problem.  Can you please install the
evolution-debuginfo package and post another backtrace of the crash?
Comment 2 Joseph Sacco 2007-06-03 22:07:15 EDT
See below.

-Joseph
===========================
Distribution: Fedora release 7.89 (Rawhide)
Gnome Release: 2.19.2 2007-05-19 (Red Hat, Inc)
BugBuddy Version: 2.18.0

System: Linux 2.6.21-1.3200.fc8smp #1 SMP Sat Jun 2 05:38:56 EDT 2007 ppc
X Vendor: The X.Org Foundation
X Vendor Release: 10300000
Selinux: Permissive
Accessibility: Disabled
GTK+ Theme: Clearlooks
Icon Theme: Fedora

Memory status: size: 83017728 vsize: 83017728 resident: 33869824 share: 29581312
rss: 33869824 rss_rlim: 4294967295
CPU usage: start_time: 1180922662 rtime: 131 utime: 93 stime: 38 cutime:0
cstime: 0 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/evolution'

[?1034hUsing host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 811135328 (LWP 2967)]
0x00610298 in __waitpid_nocancel () from /lib/libpthread.so.0
#0  0x00610298 in __waitpid_nocancel () from /lib/libpthread.so.0
#1  0x007f0f7c in ?? () from /usr/lib/libgnomeui-2.so.0
#2  0x10018374 in segv_redirect (sig=2142278472) at main.c:413
#3  <signal handler called>
#4  0x0f326cf4 in strlen () from /lib/libc.so.6
#5  0x0f2ef9d4 in vfprintf@@GLIBC_2.4 () from /lib/libc.so.6
#6  0x0f3a6a08 in __printf_chk@@GLIBC_2.4 () from /lib/libc.so.6
#7  0x0d724fac in mail_session_add_junk_plugin (plugin_name=0x10097278
"Spamassasin", 
    junk_plugin=0x10096fa0) at mail-session.c:726
#8  0x0d6fcffc in emjh_construct (eph=0x1010eb50, ep=0x1007da90, root=<value
optimized out>)
    at em-junk-hook.c:199
#9  0x0fd28774 in e_plugin_hook_register_type (type=<value optimized out>) at
e-plugin.c:441
#10 0x0d7120cc in make_factory (poa=0x10059550, iid=<value optimized out>, 
    impl_ptr=0x100a1870, ev=0x7fb0a1cc) at mail-component-factory.c:111
#11 0x0f4ed4cc in bonobo_activation_activate_shlib_server ()
   from /usr/lib/libbonobo-activation.so.4
#12 0x0f4edeb4 in ?? () from /usr/lib/libbonobo-activation.so.4
#13 0x0f4ee76c in bonobo_activation_activate () from
/usr/lib/libbonobo-activation.so.4
#14 0x0f4ee9c8 in bonobo_activation_activate_from_id () from
/usr/lib/libbonobo-activation.so.4
#15 0x1000a438 in query_components (registry=0x1010bc10) at
e-component-registry.c:193
#16 0x1000ab1c in e_component_registry_peek_list (registry=0x1010bc10)
    at e-component-registry.c:296
#17 0x1000e6fc in e_shell_construct (shell=0x10244cc0, 
    iid=0x1001c360 "OAFIID:GNOME_Evolution_Shell:2.12", 
    startup_line_mode=E_SHELL_STARTUP_LINE_MODE_CONFIG) at e-shell.c:690
#18 0x1000e854 in e_shell_new (startup_line_mode=E_SHELL_STARTUP_LINE_MODE_CONFIG, 
    construct_result_return=0x7fb0a2dc) at e-shell.c:738
#19 0x10018668 in idle_cb (uris=0x0) at main.c:334
#20 0x10018e7c in main (argc=<value optimized out>, argv=<value optimized out>)
at main.c:265

Thread 1 (Thread 811135328 (LWP 2967)):
#0  0x00610298 in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#1  0x007f0f7c in ?? () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#2  0x10018374 in segv_redirect (sig=2142278472) at main.c:413
No locals.
#3  <signal handler called>
No symbol table info available.
#4  0x0f326cf4 in strlen () from /lib/libc.so.6
No symbol table info available.
#5  0x0f2ef9d4 in vfprintf@@GLIBC_2.4 () from /lib/libc.so.6
No symbol table info available.
#6  0x0f3a6a08 in __printf_chk@@GLIBC_2.4 () from /lib/libc.so.6
No symbol table info available.
#7  0x0d724fac in mail_session_add_junk_plugin (plugin_name=0x10097278
"Spamassasin", 
    junk_plugin=0x10096fa0) at mail-session.c:726
	ms = (MailSession *) 0x100a6410
	def_plugin = 0x10097230 "Spamassasin"
#8  0x0d6fcffc in emjh_construct (eph=0x1010eb50, ep=0x1007da90, root=<value
optimized out>)
    at em-junk-hook.c:199
	group = <value optimized out>
	node = (xmlNodePtr) 0x100a0448
#9  0x0fd28774 in e_plugin_hook_register_type (type=<value optimized out>) at
e-plugin.c:441
	ep = (EPlugin *) 0x1007da90
	pdoc = <value optimized out>
	ndoc = <value optimized out>
	klass = (EPluginHookClass *) 0x100885c0
	l = (GSList *) 0x10099e40
	plugins = (GSList *) 0x10099e40
	class = 0x10087ef0 "org.gnome.evolution.mail.junk:1.0"
#10 0x0d7120cc in make_factory (poa=0x10059550, iid=<value optimized out>, 
    impl_ptr=0x100a1870, ev=0x7fb0a1cc) at mail-component-factory.c:111
	klass = <value optimized out>
	init = 1
#11 0x0f4ed4cc in bonobo_activation_activate_shlib_server ()
   from /usr/lib/libbonobo-activation.so.4
No symbol table info available.
#12 0x0f4edeb4 in ?? () from /usr/lib/libbonobo-activation.so.4
No symbol table info available.
#13 0x0f4ee76c in bonobo_activation_activate () from
/usr/lib/libbonobo-activation.so.4
No symbol table info available.
#14 0x0f4ee9c8 in bonobo_activation_activate_from_id () from
/usr/lib/libbonobo-activation.so.4
No symbol table info available.
#15 0x1000a438 in query_components (registry=0x1010bc10) at
e-component-registry.c:193
	alias = <value optimized out>
	icon_name = <value optimized out>
	tooltips = 0x1023e2e1 "Tasks"
	iface = (GNOME_Evolution_Component) 0x1008f120
	id = 0x1026c299 "OAFIID:GNOME_Evolution_Mail_Component:2.12"
	menu_label = 0x1023e251 "_Tasks"
	menu_accelerator = 0x1023e281 "*Control*4"
	icon = (GdkPixbuf *) 0x102559a8
	menuicon = (GdkPixbuf *) 0x10255a70
	info = <value optimized out>
	label = 0x1023e2b1 "Tasks"
	sort_order = 1
	info_list = (Bonobo_ServerInfoList *) 0x100da398
	language_names = (const gchar * const *) 0x10083d20
	ev = {_id = 0x0, _major = 0, _any = {_type = 0x0, _value = 0x0, _release = 0 '\0'}}
	languages = (GSList *) 0x100efc10
	query = <value optimized out>
	i = 3
#16 0x1000ab1c in e_component_registry_peek_list (registry=0x1010bc10)
    at e-component-registry.c:296
	__PRETTY_FUNCTION__ = "e_component_registry_peek_list"
#17 0x1000e6fc in e_shell_construct (shell=0x10244cc0, 
    iid=0x1001c360 "OAFIID:GNOME_Evolution_Shell:2.12", 
    startup_line_mode=E_SHELL_STARTUP_LINE_MODE_CONFIG) at e-shell.c:690
	priv = (EShellPrivate *) 0x100de520
	corba_object = <value optimized out>
	start_online = <value optimized out>
	__PRETTY_FUNCTION__ = "e_shell_construct"
#18 0x1000e854 in e_shell_new (startup_line_mode=E_SHELL_STARTUP_LINE_MODE_CONFIG, 
    construct_result_return=0x7fb0a2dc) at e-shell.c:738
	new = (EShell *) 0x10244cc0
	construct_result = <value optimized out>
#19 0x10018668 in idle_cb (uris=0x0) at main.c:334
	corba_shell = <value optimized out>
	ev = {_id = 0x0, _major = 0, _any = {_type = 0x0, _value = 0x0, _release = 0 '\0'}}
	result = <value optimized out>
	startup_line_mode = 1936289280
	__PRETTY_FUNCTION__ = "idle_cb"
#20 0x10018e7c in main (argc=<value optimized out>, argv=<value optimized out>)
at main.c:265
	fd = <value optimized out>
	client = (GConfClient *) 0x1005e358
	program = (GnomeProgram *) 0x1003e810
	context = <value optimized out>
#0  0x00610298 in __waitpid_nocancel () from /lib/libpthread.so.0
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y;
input not from terminal]
Comment 3 Milan Crha 2007-06-07 04:35:45 EDT
I think this was fixed 4 days ago, and is in upstream, see
http://svn.gnome.org/viewcvs/evolution/trunk/mail/mail-session.c?r1=33392&r2=33628

As a *workaround* I would like to suggest these steps:
a) run `evolution --force-shutdown`
b) run `gconftool-2 --shutdown`
c) run `gconf-editor` and open /apps/evolution/mail and highlight "junk"
d) on the right is a key with name "default_plugin", probably with value
"Spamassasin"; change that value on anything else, for example delete last 'n'
e) now close gconf-editor and run evolution.

It may work, if I'm not wrong, but you will not have assigned default junk
plugin (Edit->Preferences->Mail preferences, tab "Junk", item "Default junk
plugin").
Comment 4 Joseph Sacco 2007-06-07 21:41:35 EDT
Milan,

Excellent workaround... 


-Joseph
Comment 5 Matthew Barnes 2007-06-07 22:58:32 EDT
Thanks Milan.  That patch made it into 2.11.3, which is now available in Rawhide.

Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.